Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365131 - Upload image allows the selection of a non existing file
Summary: Upload image allows the selection of a non existing file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: Daniel Erez
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 13:12 UTC by Natalie Gavrielov
Modified: 2017-02-15 14:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:54:59 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
logs and snapshots (deleted)
2016-08-08 13:12 UTC, Natalie Gavrielov
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69073 master MERGED webadmin: upload image - validate file existence 2016-12-27 11:19:15 UTC
oVirt gerrit 69182 ovirt-engine-4.1 MERGED webadmin: upload image - validate file existence 2016-12-27 23:47:45 UTC
oVirt gerrit 69199 ovirt-engine-4.0 MERGED webadmin: upload image - validate file existence 2016-12-28 09:46:43 UTC

Description Natalie Gavrielov 2016-08-08 13:12:32 UTC
Created attachment 1188759 [details]
logs and snapshots

Description of problem:
Upload image allows the selection of a none existing file.

Version-Release number of selected component:
rhevm-4.0.2.4-0.1.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch
ovirt-imageio-proxy-0.3.0-0.el7ev.noarch
vdsm-4.18.10-1.el7ev.x86_64
ovirt-imageio-daemon-0.3.0-0.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Go to disks tab, upload -> start
2. Choose file: instead of choosing supply a none existing path, like /disk 

Actual results:
The none existing file is treated as if it exists - dialogue closes and after filling up the size and alias field then pressing "OK" - the upload tries to start (status locked, and then Initializing, then sent 0MB). 

Expected results:
For the dialogue to prevent trying to upload none existing files. 

Additional info:
After a minute tops the upload switches state to paused by system.

Comment 1 Amit Aviram 2016-08-31 12:29:02 UTC
Natalie, which browser are you using, and what version is it? I couldn't supply a path in chrome or FireFox.

I use:
google-chrome-stable-51.0.2704.79
firefox-46.0.1-4.fc23.x86_64

Thanks.

Comment 2 Natalie Gavrielov 2016-08-31 13:00:03 UTC
(In reply to Amit Aviram from comment #1)
> Natalie, which browser are you using, and what version is it? I couldn't
> supply a path in chrome or FireFox.
> 
> I use:
> google-chrome-stable-51.0.2704.79
> firefox-46.0.1-4.fc23.x86_64
> 
> Thanks.


I'm using:
Firefox 38.4.0
Chrome Version 50.0.2661.86 (64-bit)

I honestly don't remember with which one of them it happened.. I'll try to reproduce it.

Comment 3 Amit Aviram 2016-08-31 13:18:23 UTC
Thanks, I managed to reproduce with FF26

Comment 4 Sandro Bonazzola 2017-01-25 07:56:53 UTC
4.0.6 has been the last oVirt 4.0 release, please re-target this bug.

Comment 5 Natalie Gavrielov 2017-02-01 17:38:32 UTC
Verified.
Now getting a message:
"The selected file cannot be opened."

Used: 
Firefox 45.4.0
Chrome 54.0.2840.59 (64-bit)

Builds:
(rhv-4.1.0-11)
rhevm-4.1.0.3-0.1.el7.noarch
ovirt-imageio-common-1.0.0-0.el7ev.noarch
ovirt-imageio-proxy-1.0.0-0.el7ev.noarch
vdsm-4.19.4-7.gitc2f748c.el7.centos.x86_64
ovirt-imageio-daemon-1.0.0-1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.